Subject: Re: Documentation status

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 May 2008 21:27:18 -0700

Christian Couder <[email-masked]> writes:

> Le samedi 3 mai 2008, Junio C Hamano a écrit :
>> Christian Couder <[email-masked]> writes:
>> > About man page sections, Perl is consistent because every thing is in
>> > section 1.
>>
>> I do not think it is a good example to follow, though.
>
> I agree.
>
>> > Now for git we already have git commands in section 1 and some
>> > other documentation (gitattributes, gitignore, gitmodules) in section 5
>> > and "git" in section 7. Do we want to keep "git" alone in section 7 and
>> > put tutorials in section 1 ? Or put everything in section 1 ?
>>
>> My preference is to move git(7) to git(1) because it is describing a
>> command at the end-user level (distros are much better than us to come up
>> with a way to deal with conflict resolution between us and the other
>> git), keep file format description in section 5 (that's where they belong
>> to).
>
> Ok, I will do that.
> Then what about tutorials (that I put in section 7) ?

Please step back a bit.  What's the reason why you need to make everything
into manpages?